Legacy v1
Refund a PIX Payment
Refund a PIX payment through the legacy v1 API.
POST
/
pix
/
v1
/
payment
/
refund
/
{id}
Refund a PIX Payment
curl --request POST \
--url https://api.pagou.ai/pix/v1/payment/refund/{id} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--data '
{
"value": 1,
"description": "<string>"
}
'import requests
url = "https://api.pagou.ai/pix/v1/payment/refund/{id}"
payload = {
"value": 1,
"description": "<string>"
}
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 1, description: '<string>'})
};
fetch('https://api.pagou.ai/pix/v1/payment/refund/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refundId": "rfd_2ec3f2e53b53470dbaf0fcb1afac58b8",
"transactionId": "trn_2d02fb2dbfa5479bbd8ec8ad5d629b9e",
"status": "REFUND_IN",
"value": 1200,
"createdAt": "2026-02-07T13:20:03.000Z"
}{
"type": "https://api.pagou.ai/problems/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The request contains invalid data.",
"instance": "/pix/v1/payment/refund/example-id",
"errors": [
{
"field": "transaction.value",
"message": "Must be greater than zero.",
"code": "invalid_type"
}
]
}{
"type": "https://api.pagou.ai/problems/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Authentication failed for POST /pix/v1/payment/refund/{id}.",
"instance": "/pix/v1/payment/refund/example-id"
}Authorizations
Path Parameters
Minimum string length:
1⌘I
Refund a PIX Payment

